Subject: Re: [PATCH 14/16] Resource assignments for PCI devices on Celleb

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 18 Nov 2006 09:14:59 +1100

\
> This is a temporary workaround for following problem.
>    
> On Celleb, values of PCI base addresses of PCI devices which are not
> described in device tree are not initialized before linux starts. So
> we use pci_bus_assign_resources() later to assign resources for them 
> at ppc_md.pcibios_fixup(). But by original code, when
> ppc_md.pcibios_fixup() is called, resources are already claimed and
> pci_bus_assign_resource() does not work to assign resources.
> 
> It may not be a good idea to call pci_bus_assign_resources() at the
> timing of ppc_md.pcibios_fixup(), but we did not find an alternative
> idea.

Hrm.. not everything should be claimed... there should be some space
left to assign remaining devices. I need to look into it. There are
several non resolved issues unfortunately with the ppc64 PCI code vs.
assigning resources. (Well, the issues are with the generic code in fact
which is what ppc64 uses. It tends to not work very well on setups where
some resources have already been assigned and some not).

Ben.